/* Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */
package com.vmware.samples.actions;

/**
 * Service handling calls from the vmaction-ui sample
 *
 * It must be declared as osgi:service with the same name in
 * main/resources/META-INF/spring/bundle-context-osgi.xml
 */
public interface VmActionService {
   /**
    * Sample action called on the server.
    *
    * @param vmReference   Internal reference to the VM object for that action.
    */
   public void backendAction(Object vmReference);
}
